#!/bin/bash
# 2.3) Instalar extensiones del Navegador Firefox y Chrome:

function extensiones_nav_instalar() {
    PARAM="${1}"
    CONT="${2}"

    EXTEN_FIREFOX="$(jq -r ".${PARAM}[${CONT}].firefox" <<<"${JSON}" | tr -s ";" " ")"
    if ! [[ "${EXTEN_FIREFOX}" =~ ^null$ ]]; then
        if vx-firefox-extensiones "--install" ${EXTEN_FIREFOX}; then
            "${echo_verde}" "=> ¡¡Ok!! Se han instalado las extensiones de Firefox: ${EXTEN_FIREFOX}"
        else
            "${echo_rojo}" "=> ¡¡Error!! Problemas para instalar las extensiones de Firefox: ${EXTEN_FIREFOX}"
        fi
    else
        echo "=> No hay firefox-extensiones que instalar ..."
    fi

    EXTEN_CHROME="$(jq -r ".${PARAM}[${CONT}].chrome" <<<"${JSON}" | tr -s ";" " ")"
    if ! [[ "${EXTEN_CHROME}" =~ ^null$ ]]; then
        if vx-chrome-extensiones "--install" ${EXTEN_CHROME}; then
            "${echo_verde}" "=> ¡¡Ok!! Se han instalado las extensiones de Chrome: ${EXTEN_CHROME}"
        else
            "${echo_rojo}" "=> ¡¡Error!! Problemas para instalar las extensiones de Chrome: ${EXTEN_CHROME}"
        fi
    else
        echo "=> No hay chrome-extensiones que instalar ..."
    fi
}

"${echo_titulo}" "*  [[ Instalar extensiones de Navegadores Firefox y Chrome ... ]]  *"
PARAM="extensionesnav.instalar"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Instalar Extensiones Navegadores" "extensiones_nav_instalar"
