#!/bin/bash
# 2.4) Desinstalar extensiones del Navegador Firefox y Chrome:

function extensiones_nav_desinstalar() {
    PARAM="${1}"
    CONT="${2}"

    EXTEN_FIREFOX="$(jq -r ".${PARAM}[${CONT}].firefox" <<<"${JSON}" | tr -s ";" " ")"
    if ! [[ "${EXTEN_FIREFOX}" =~ "--null--" ]]; then
        if vx-firefox-extensiones --remove ${EXTEN_FIREFOX}; then
            "${echo_verde}" "=> ¡¡Ok!! Se han desinstalado las extensiones de Firefox: ${EXTEN_FIREFOX}"
        else
            "${echo_rojo}" "=> ¡¡Error!! Problemas para desinstalar las extensiones de Firefox: : ${EXTEN_FIREFOX}"
        fi
    else
        echo "=> No hay firefox-extensiones que desinstalar ..."
    fi

    EXTEN_CHROME="$(jq -r ".${PARAM}[${CONT}].chrome" <<<"${JSON}" | tr -s ";" " ")"
    if ! [[ "${EXTEN_CHROME}" =~ "--null--" ]]; then
        if vx-chrome-extensiones --remove ${EXTEN_CHROME}; then
            "${echo_verde}" "=> ¡¡Ok!! Se han desinstalado las extensiones de Chrome: ${EXTEN_CHROME}"
        else
            "${echo_rojo}" "=> ¡¡Error!! Problemas para desinstalar las extensiones de Chrome: : ${EXTEN_CHROME}"
        fi
    else
        echo "=> No hay chrome-extensiones que desinstalar ..."
    fi
}

"${echo_titulo}" "*  [[ Desinstalar extensiones de Navegadores Firefox y Chrome ... ]]  *"
PARAM="extensionesnav.desinstalar"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "DesInstalar Extensiones Navegadores" "extensiones_nav_desinstalar"
