#!/bin/bash
# 2.9) Ebooks:

function configurar_ebooks() {
    PARAM="${1}"
    CONT="${2}"
    PRIVADA="$(jq -r ".${PARAM}[${CONT}].navegacion_privada" <<<"${JSON}")"
    # Comprobamos el navegador Web disponible que hará de visor del ebook:
    # Indicamos como navegador preferente a Firefox:
    # if [ -f "/usr/bin/chromium-browser" ] ; then
    #     ! "${PRIVADA}" && \
    #     NAVEGADOR="chromium-browser --new-window" || \
    #     NAVEGADOR="chromium-browser --incognito"
    #     elif [ -f "/usr/bin/google-chrome-stable" ] ; then
    #     ! "${PRIVADA}" && \
    #     NAVEGADOR="google-chrome-stable --new-window" || \
    #     NAVEGADOR="google-chrome-stable --incognito"
    #     elif [ -f "/usr/bin/firefox" ] ; then
    #     ! "${PRIVADA}" && \
    #     NAVEGADOR="firefox -new-window" || \
    #     NAVEGADOR="firefox -private"
    # fi
    # if [ -f "/usr/bin/firefox" ] ; then
    #     ! "${PRIVADA}" && \
    #     NAVEGADOR="firefox -new-window" || \
    #     NAVEGADOR="firefox -private"
    # fi
    DISTRIBUCION="$(lsb_release -cs)"
    FLASH="$(jq -r ".${PARAM}[${CONT}].flash" <<<"${JSON}")"
    [[ "${DISTRIBUCION}" == "trusty" ]] &&
        NAVEGADOR="firefox -new-window" ||
        {
            [[ "${FLASH}" == "null" || "${FLASH}" ]] &&
                NAVEGADOR="vx-nwjs-flash-cli" ||
                NAVEGADOR="firefox -new-window"
        }
    URL="$(jq -r ".${PARAM}[${CONT}].url" <<<"${JSON}")"
    LANZADOR="$(jq -r ".${PARAM}[${CONT}].lanzador" <<<"${JSON}")"
    NAME="$(jq -r ".${PARAM}[${CONT}].name" <<<"${JSON}")"
    NAME_ES="$(jq -r ".${PARAM}[${CONT}].name_es" <<<"${JSON}")"
    COMENTARIO="$(jq -r ".${PARAM}[${CONT}].comment" <<<"${JSON}")"
    COMENTARIO_ES="$(jq -r ".${PARAM}[${CONT}].comment_es" <<<"${JSON}")"
    EXEC="${NAVEGADOR} ${URL}"
    # Logo SVG guardado normalmente en: /usr/share/icons/hicolor/scalable/apps/
    LOGO_DESK="$(jq -r ".${PARAM}[${CONT}].icon" <<<"${JSON}")"
    CATEGORIAS="$(jq -r ".${PARAM}[${CONT}].categories" <<<"${JSON}")"
    EN_ESCRITORIOS="$(jq -r ".${PARAM}[${CONT}].lanzador_en_Escritorios" <<<"${JSON}")"
    UIDS="$(jq -r ".${PARAM}[${CONT}].uids" <<<"${JSON}")"
    GIDS="$(jq -r ".${PARAM}[${CONT}].gids" <<<"${JSON}")"
    # Comprobamos si se ha indicado el agrupar en un directorio los lanzadores. Valdrá "null" si no se ha definido:
    [[ "$(jq -r ".${PARAM}[${CONT}].agrupado_en_dir" <<<"${JSON}")" =~ ^null$|^false$ ]] &&
        AGRUPADO_EN_DIR="false" ||
        AGRUPADO_EN_DIR="true"
    NOMBRE_DIR="$(jq -r ".${PARAM}[${CONT}].nombre_dir" <<<"${JSON}")"
    if vx-conf-lanzadores-desktop --crear "${LANZADOR}" \
        "${NAME}" \
        "${NAME_ES}" \
        "${COMENTARIO}" \
        "${COMENTARIO_ES}" \
        "${EXEC}" \
        "${LOGO_DESK}" \
        "${CATEGORIAS}" \
        "${EN_ESCRITORIOS}" \
        "${UIDS}" \
        "${GIDS}" \
        "${AGRUPADO_EN_DIR}" \
        "${NOMBRE_DIR}"; then
        "${echo_verde}" "=> ¡¡Ok!! Se ha creado el lanzador al Ebook correctamente: ${LANZADOR}"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas para crear el lanzador del Ebook: ${LANZADOR}"
    fi

}

"${echo_titulo}" "*  [[ Configuración de Ebooks ... ]]  *"
PARAM="ebooks.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Configuracion de Ebooks" "configurar_ebooks"
