#!/bin/bash
# 20) Configuración del Explorador de Archivos pcmanfm mediante directivas:

function configurar_pcmanfm() {
    PARAM="${1}"
    CONT="${2}"
    # Rescatamos los datos necesarios para la configuración de pcmanfm:
    FICHEROCONF="$(jq -r ".${PARAM}[${CONT}].ficheroconf" <<<"${JSON}")"
    SECCION="$(jq -r ".${PARAM}[${CONT}].seccion" <<<"${JSON}")"
    LISTADIRECTIVAS="$(jq -r ".${PARAM}[${CONT}].listadirectivas" <<<"${JSON}")"
    EJECUTABLE="/usr/bin/vx-pcmanfm-config"
    if [[ -x "${EJECUTABLE}" ]] &&
        "${EJECUTABLE}" "${FICHEROCONF}" "${SECCION}" "${LISTADIRECTIVAS}"; then
        "${echo_verde}" "=> ¡¡Ok!! Se ha configurado correctamente pcmanfm"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas al configurar pcmanfm"
    fi
}

"${echo_titulo}" "*  [[ Configuración del Explorador de Archivos pcmanfm... ]]  *"
PARAM="pcmanfm.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Configurar Explorador de Archivos - pcmanfm" "configurar_pcmanfm"

function configurar_lxpanel() {
    PARAM="${1}"
    CONT="${2}"
    # Rescatamos los datos necesarios para la configuración del panel de lxpanel:
    PARAMETROS="$(jq -r ".${PARAM}[${CONT}].parametros" <<<"${JSON}")"
    LISTA_PARAMETROS=(${PARAMETROS//;/ })
    EJECUTABLE="/usr/bin/vx-panel-config"
    for PAREJA in "${LISTA_PARAMETROS[@]}"; do
        PARAMETRO="${PAREJA%%=*}"
        VALOR="${PAREJA##*=}"
        if [[ -x "${EJECUTABLE}" ]] &&
            "${EJECUTABLE}" "${PARAMETRO}" "${VALOR}"; then
            "${echo_verde}" "=> ¡¡Ok!! Se ha configurado correctamente lxpanel"
        else
            "${echo_rojo}" "=> ¡¡Error!! Problemas al configurar lxpanel"
        fi
    done
}

"${echo_titulo}" "*  [[ Configuración del panel global de lxpanel... ]]  *"
PARAM="lxpanel.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Configurar parámetros de lxpanel" "configurar_lxpanel"
