#!/bin/bash
# 18) Configuración de epoptes:

function configurar_xfconf() {
    PARAM="${1}"
    CONT="${2}"
    # Rescatamos los valores del canal, directiva y valor:
    CANAL="$(jq -r ".${PARAM}[${CONT}].canal" <<<"${JSON}")"
    DIRECTIVA="$(jq -r ".${PARAM}[${CONT}].directiva" <<<"${JSON}")"
    VALOR="$(jq -r ".${PARAM}[${CONT}].valor" <<<"${JSON}")"
    MODIFICAR_SKEL="$(jq -r ".${PARAM}[${CONT}].skel" <<<"${JSON}")"
    EJECUTABLE="/usr/bin/vx-runas"
    # Modificamos el parametro en la sesión gráfica del usuario
    if [[ -x "${EJECUTABLE}" ]] &&
        "${EJECUTABLE}" "$(vx-usuario-grafico)" "xfconf-query" "--channel" "${CANAL}" -p "${DIRECTIVA}" -s "${VALOR}"; then
        "${echo_verde}" "=> ¡¡Ok!! xfconf-query: ${CANAL} => ${DIRECTIVA}=${VALOR}"
    else
        "${echo_rojo}" "=> ¡¡Error!! xfconf-query: ${CANAL} => ${DIRECTIVA}=${VALOR}"
    fi
    # Modificamos el parametro en el skel:
    DIR_SKEL="/etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml"
    FICH_XML="${DIR_SKEL}/${CANAL}.xml"
    EJECUTABLE="/usr/bin/xmlstarlet"
    if [[ "${MODIFICAR_SKEL}" && -f "${DIR}" && -x "${EJECUTABLE}" ]]; then
        # Sintaxis del comando a ejecutar:
        # xmlstarlet edit \
        #         --update "/channel[@name='"xfce4-desktop"']/property[@name='desktop-icons']/property[@name='file-icons']/property[@name='show-removable']/@value" \
        #         --value "false" "${FICH_XML}" | sponge "${FICH_XML}"
        DIRECTIVA_XML="/channel[@name='${CANAL}']"
        for PROPIEDAD in $(vx-trim ${DIRECTIVA//\// }); do
            DIRECTIVA_XML+="/property[@name='${PROPIEDAD}']"
        done
        DIRECTIVA_XML+="/@value"
        if "${EJECUTABLE}" edit --update "${DIRECTIVA_XML}" --value "${VALOR}" "${FICH_XML}" | sponge "${FICH_XML}"; then
            "${echo_verde}" "=> ¡¡Ok!! ${FICH_XML} actualizado: ${DIRECTIVA}=${VALOR}"
        else
            "${echo_rojo}" "=> ¡¡Error!! ${FICH_XML} NO actualizado: ${DIRECTIVA}=${VALOR}"
        fi
    fi
}

"${echo_titulo}" "*  [[ Xfconf: Configuración personalizada del entorno XFCE... ]]  *"
PARAM="xfconf.asignar.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Xfconf: Configuración personalizada de parámetros XFCE" "configurar_xfconf"
